/* This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License as
** published by the Free Software Foundation; either version 2 of the
** License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful, but
** WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
** 02111-1307, USA.
*/

#ifndef __ERRORS_INCLUDED__
#define __ERRORS_INCLUDED__

#include <stdlib.h>

static u_int8_t SUCCESS = 0;
static u_int8_t ERR_UNUSED = 1;
static u_int8_t ERR_FILEOPEN = 2;
static u_int8_t ERR_FILECREATE = 3;
static u_int8_t ERR_NOAACTRACK = 4;
static u_int8_t ERR_REMUX = 5;
static u_int8_t ERR_METADATA = 6;
static u_int8_t ERR_NOKEY = 7;
static u_int8_t ERR_DRMS_MISC = 8;
static u_int8_t ERR_DRMS_GET_USER_KEY = 9;
static u_int8_t ERR_DRMS_GET_SYSTEM_KEY = 10;
static u_int8_t ERR_DRMS_GET_SCI_DATA = 11;
static u_int8_t ERR_DRMS_HASH_SYSTEM_INFO = 12;
static u_int8_t ERR_DRMS_GET_IPOD_ID = 13;
static u_int8_t ERR_DRMS_WRITE_USER_KEY = 14;
static u_int8_t ERR_DRMS_READ_USER_KEY = 15;

static const char *ERROR_MESSAGES[16] =
{
    /*SUCCESS*/                    "Success.",
    /*UNUSED*/                     "<unused>",
    /*ERR_FILEOPEN*/               "Couldn't open file: %s",
    /*ERR_FILECREATE*/             "Couldn't create file: %s",
    /*ERR_NOAACTRACK*/             "Couldn't find AAC track in input file.",
    /*ERR_REMUX*/                  "Couldn't decode input file.",
    /*ERR_METADATA*/               "Couldn't set meta data on output file.",
    /*ERR_NOKEY*/                  "Couldn't find iTunes key or an iPod.",
    /*ERR_DRMS_MISC*/              "Couldn't remove DRM from file.",
    /*ERR_DRMS_GET_USER_KEY*/      "Couldn't get DRM key for user.",
    /*ERR_DRMS_GET_SYSTEM_KEY*/    "Couldn't get DRM key for system.",
    /*ERR_DRMS_GET_SCI_DATA*/      "Couldn't find DRM key database.",
    /*ERR_DRMS_HASH_SYSTEM_INFO*/  "Couldn't determine DRM key for system.",
    /*ERR_DRMS_GET_IPOD_ID*/       "Couldn't determine iPod ID.",
    /*ERR_DRMS_WRITE_USER_KEY*/    "Couldn't save user key for future use.",
    /*ERR_DRMS_READ_USER_KEY*/     "Couldn't read user key from previous use."
};

/* EOF */
#endif /* __ERRORS_INCLUDED__ */
